package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.Map;

/**
 * 资产数据字典对象 asset_data_dict
 *
 * @author Saisai
 * @date 2024-04-24
 */

public class AssetDataDict extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 数据接入id */
    @Excel(name = "数据接入id")
    private Long basicId;


    @Override
    public String toString() {
        return "AssetDataDict{" +
                "id=" + id +
                ", basicId=" + basicId +
                ", dictName='" + dictName + '\'' +
                ", dictType='" + dictType + '\'' +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getBasicId() {
        return basicId;
    }

    public void setBasicId(Long basicId) {
        this.basicId = basicId;
    }

    public String getDictName() {
        return dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getDictType() {
        return dictType;
    }

    public void setDictType(String dictType) {
        this.dictType = dictType;
    }

    public AssetDataDict(BaseEntityBuilder<?, ?> b, Long id, Long basicId, String dictName, String dictType) {
        super(b);
        this.id = id;
        this.basicId = basicId;
        this.dictName = dictName;
        this.dictType = dictType;
    }

    public AssetDataDict(Long id, Long basicId, String dictName, String dictType) {
        this.id = id;
        this.basicId = basicId;
        this.dictName = dictName;
        this.dictType = dictType;
    }

    public AssetDataDict(String searchValue, String createBy, Date createTime, String updateBy, Date updateTime, String remark, Map<String, Object> params, Long id, Long basicId, String dictName, String dictType) {
        super(searchValue, createBy, createTime, updateBy, updateTime, remark, params);
        this.id = id;
        this.basicId = basicId;
        this.dictName = dictName;
        this.dictType = dictType;
    }

    /** 字典名称 */
    @Excel(name = "字典名称")
    private String dictName;

    /** 字典类型 */
    @Excel(name = "字典类型")
    private String dictType;

}
