package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.Map;

/**
 * 结构对象 structure
 *
 * @author Saisai
 * @date 2024-04-22
 */
public class Structure extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /** 表id */
    @Excel(name = "表id")
    private Long tableId;

    /** 字段名称 */
    @Excel(name = "字段名称")
    private String columnName;

    /** 字段注释 */
    @Excel(name = "字段注释")
    private String columnRemark;

    /** 是否主键 'Y'是主键 'N'不是主键 */
    @Excel(name = "是否主键 'Y'是主键 'N'不是主键")
    private String isPrimary;

    /** 数据类型 */
    @Excel(name = "数据类型")
    private String columnType;

    /** 映射类型 */
    @Excel(name = "映射类型")
    private String javaType;

    /** 字段长度 */
    @Excel(name = "字段长度")
    private String columnLength;

    /** 小数位数 */
    @Excel(name = "小数位数")
    private String columnDecimals;

    /** 是否为空 'Y'是 'N'不是 */
    @Excel(name = "是否为空 'Y'是 'N'不是")
    private String isNull;

    /** 默认值 */
    @Excel(name = "默认值")
    private String defaultValue;

    /** 是否字典 'Y'是 'N'不是 */
    @Excel(name = "是否字典 'Y'是 'N'不是")
    private String isDictionary;

    /** 映射字典 */
    @Excel(name = "映射字典")
    private String dictionaryTable;


    @Override
    public String toString() {
        return "Structure{" +
                "id=" + id +
                ", tableId=" + tableId +
                ", columnName='" + columnName + '\'' +
                ", columnRemark='" + columnRemark + '\'' +
                ", isPrimary='" + isPrimary + '\'' +
                ", columnType='" + columnType + '\'' +
                ", javaType='" + javaType + '\'' +
                ", columnLength='" + columnLength + '\'' +
                ", columnDecimals='" + columnDecimals + '\'' +
                ", isNull='" + isNull + '\'' +
                ", defaultValue='" + defaultValue + '\'' +
                ", isDictionary='" + isDictionary + '\'' +
                ", dictionaryTable='" + dictionaryTable + '\'' +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTableId() {
        return tableId;
    }

    public void setTableId(Long tableId) {
        this.tableId = tableId;
    }

    public String getColumnName() {
        return columnName;
    }

    public void setColumnName(String columnName) {
        this.columnName = columnName;
    }

    public String getColumnRemark() {
        return columnRemark;
    }

    public void setColumnRemark(String columnRemark) {
        this.columnRemark = columnRemark;
    }

    public String getIsPrimary() {
        return isPrimary;
    }

    public void setIsPrimary(String isPrimary) {
        this.isPrimary = isPrimary;
    }

    public String getColumnType() {
        return columnType;
    }

    public void setColumnType(String columnType) {
        this.columnType = columnType;
    }

    public String getJavaType() {
        return javaType;
    }

    public void setJavaType(String javaType) {
        this.javaType = javaType;
    }

    public String getColumnLength() {
        return columnLength;
    }

    public void setColumnLength(String columnLength) {
        this.columnLength = columnLength;
    }

    public String getColumnDecimals() {
        return columnDecimals;
    }

    public void setColumnDecimals(String columnDecimals) {
        this.columnDecimals = columnDecimals;
    }

    public String getIsNull() {
        return isNull;
    }

    public void setIsNull(String isNull) {
        this.isNull = isNull;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getIsDictionary() {
        return isDictionary;
    }

    public void setIsDictionary(String isDictionary) {
        this.isDictionary = isDictionary;
    }

    public String getDictionaryTable() {
        return dictionaryTable;
    }

    public void setDictionaryTable(String dictionaryTable) {
        this.dictionaryTable = dictionaryTable;
    }

    public Structure(BaseEntityBuilder<?, ?> b, Long id, Long tableId, String columnName, String columnRemark, String isPrimary, String columnType, String javaType, String columnLength, String columnDecimals, String isNull, String defaultValue, String isDictionary, String dictionaryTable) {
        super(b);
        this.id = id;
        this.tableId = tableId;
        this.columnName = columnName;
        this.columnRemark = columnRemark;
        this.isPrimary = isPrimary;
        this.columnType = columnType;
        this.javaType = javaType;
        this.columnLength = columnLength;
        this.columnDecimals = columnDecimals;
        this.isNull = isNull;
        this.defaultValue = defaultValue;
        this.isDictionary = isDictionary;
        this.dictionaryTable = dictionaryTable;
    }

    public Structure(Long id, Long tableId, String columnName, String columnRemark, String isPrimary, String columnType, String javaType, String columnLength, String columnDecimals, String isNull, String defaultValue, String isDictionary, String dictionaryTable) {
        this.id = id;
        this.tableId = tableId;
        this.columnName = columnName;
        this.columnRemark = columnRemark;
        this.isPrimary = isPrimary;
        this.columnType = columnType;
        this.javaType = javaType;
        this.columnLength = columnLength;
        this.columnDecimals = columnDecimals;
        this.isNull = isNull;
        this.defaultValue = defaultValue;
        this.isDictionary = isDictionary;
        this.dictionaryTable = dictionaryTable;
    }

    public Structure(String searchValue, String createBy, Date createTime, String updateBy, Date updateTime, String remark, Map<String, Object> params, Long id, Long tableId, String columnName, String columnRemark, String isPrimary, String columnType, String javaType, String columnLength, String columnDecimals, String isNull, String defaultValue, String isDictionary, String dictionaryTable) {
        super(searchValue, createBy, createTime, updateBy, updateTime, remark, params);
        this.id = id;
        this.tableId = tableId;
        this.columnName = columnName;
        this.columnRemark = columnRemark;
        this.isPrimary = isPrimary;
        this.columnType = columnType;
        this.javaType = javaType;
        this.columnLength = columnLength;
        this.columnDecimals = columnDecimals;
        this.isNull = isNull;
        this.defaultValue = defaultValue;
        this.isDictionary = isDictionary;
        this.dictionaryTable = dictionaryTable;
    }
}
