package com.muyu.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.TreeEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 库表基础信息对象 table_info
 *
 * @author Saisai
 * @date 2024-04-22
 */
public class TableInfo extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    private Long basicId;

    @Override
    public String toString() {
        return "TableInfo{" +
                "id=" + id +
                ", basicId=" + basicId +
                ", tableName='" + tableName + '\'' +
                ", tableRemark='" + tableRemark + '\'' +
                ", type='" + type + '\'' +
                ", dataNum=" + dataNum +
                ", center='" + center + '\'' +
                ", parentId=" + parentId +
                '}';
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getBasicId() {
        return basicId;
    }

    public void setBasicId(Long basicId) {
        this.basicId = basicId;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getTableRemark() {
        return tableRemark;
    }

    public void setTableRemark(String tableRemark) {
        this.tableRemark = tableRemark;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getDataNum() {
        return dataNum;
    }

    public void setDataNum(Long dataNum) {
        this.dataNum = dataNum;
    }

    public String getCenter() {
        return center;
    }

    public void setCenter(String center) {
        this.center = center;
    }

    @Override
    public Long getParentId() {
        return parentId;
    }

    @Override
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public TableInfo(TreeEntityBuilder<?, ?> b, Long id, Long basicId, String tableName, String tableRemark, String type, Long dataNum, String center, Long parentId) {
        super(b);
        this.id = id;
        this.basicId = basicId;
        this.tableName = tableName;
        this.tableRemark = tableRemark;
        this.type = type;
        this.dataNum = dataNum;
        this.center = center;
        this.parentId = parentId;
    }

    public TableInfo(Long id, Long basicId, String tableName, String tableRemark, String type, Long dataNum, String center, Long parentId) {
        this.id = id;
        this.basicId = basicId;
        this.tableName = tableName;
        this.tableRemark = tableRemark;
        this.type = type;
        this.dataNum = dataNum;
        this.center = center;
        this.parentId = parentId;
    }

    public TableInfo(String parentName, Long parentId, Integer orderNum, String ancestors, List<?> children, Long id, Long basicId, String tableName, String tableRemark, String type, Long dataNum, String center, Long parentId1) {
        super(parentName, parentId, orderNum, ancestors, children);
        this.id = id;
        this.basicId = basicId;
        this.tableName = tableName;
        this.tableRemark = tableRemark;
        this.type = type;
        this.dataNum = dataNum;
        this.center = center;
        this.parentId = parentId1;
    }

    /** 表名称/数据库 */
    @Excel(name = "表名称/数据库")
    private String tableName;

    /** 表备注 */
    @Excel(name = "表备注")
    private String tableRemark;

    /** 表备注 */
    @Excel(name = "数据来源类型")
    private String type;


    /** 数据量 */
    @Excel(name = "数据量")
    private Long dataNum;

    /** 是否核心 'Y'是 'N'不是 */
    @Excel(name = "是否核心 'Y'是 'N'不是")
    private String center;


    private Long parentId;


}
