package com.muyu.cloud.etl.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cloud.etl.mapper.SourceMapper;
import com.muyu.cloud.etl.service.SourceService;
import com.muyu.domain.Source;
import com.muyu.domain.req.SourceReq;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SourceServiceImpl extends ServiceImpl<SourceMapper, Source> implements SourceService {
    @Autowired
    private SourceMapper sourceMapper;

    @Override
    public List<Source> selectSourceList(SourceReq sourceReq) {
       return sourceMapper.selectSourceList(sourceReq);
    }

    @Override
    public Source getInfo(Long id) {
        LambdaQueryWrapper<Source> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(Source::getId, id);
        return this.sourceMapper.selectOne(lambdaQueryWrapper);
    }

    //新增
    @Override
    public int insertBasicConfigInfo(Source sourceReq) {
        int insert = sourceMapper.insert(sourceReq);
        return insert;
    }
}
